# $Revision: 1.30 $, $Date: 2012/01/31 11:54:52 $
# TODO
# - -demos package
# - use more jar libraries from javadir instead of bundled ones

%include	/usr/lib/rpm/macros.java
Summary:	Red5: Open Source Flash Server
Summary(pl.UTF-8):	Red5: Otwarty serwer Flasha
Name:		red5
Version:	0.9.0
Release:	2
License:	LGPL
Group:		Networking/Daemons/Java
Source0:	http://www.red5.org/downloads/0_9/%{name}-%{version}.tar.gz
# Source0-md5:	01728fa619a74a6840b3e9c379178c0b
Source1:	%{name}
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Source4:	%{name}.tmpfiles
URL:		http://red5.org/
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	java-eclipse-jdt
Requires:	java-tomcat-catalina >= 6.0.20-7
Requires:	java-tomcat-coyote >= 6.0.20-7
Requires:	java-tomcat-jasper >= 6.0.20-7
Requires:	rc-scripts
Suggests:	tomcat-native
Provides:	group(red5)
Provides:	group(servlet)
Provides:	user(red5)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appconfdir	%{_sysconfdir}/%{name}
%define		_appdatadir	%{_datadir}/%{name}
%define		_appstatedir	%{_localstatedir}/lib/%{name}
%define		_applogdir	%{_var}/log/%{name}

%description
Red5 is an Open Source Flash Server written in Java that supports:
- Streaming Audio/Video (FLV and MP3)
- Recording Client Streams (FLV only)
- Shared Objects
- Live Stream Publishing
- Remoting

%description -l pl.UTF-8
Red5 to napisany w Javie otwarty serwer Flasha obsługujący:
- Strumieniowanie Audio/Wideo (FLV oraz MP3)
- Nagrywanie strumieni klienta (tylko FLV)
- Współdzielenie obiektów
- Publikowanie strumieni na żywo

%package javadoc
Summary:	Online manual for %{name}
Summary(pl.UTF-8):	Dokumentacja online do %{name}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
API documentation for %{name}.

%description javadoc -l pl.UTF-8
Dokumentacja API do %{name}.

%prep
%setup -q

rm lib/catalina-*.jar
rm lib/jasper-*.jar
rm lib/tomcat-coyote-*.jar

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdatadir},%{_sbindir},%{_appstatedir}/work,%{_appconfdir},%{_applogdir}} \
	$RPM_BUILD_ROOT{/etc/sysconfig,/etc/rc.d/init.d,/var/run/red5} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

cp -a {red5.jar,boot.jar,lib} $RPM_BUILD_ROOT%{_appdatadir}
cp -a webapps $RPM_BUILD_ROOT%{_appstatedir}
cp -a conf/* $RPM_BUILD_ROOT%{_appconfdir}

ln -s %{_appconfdir} $RPM_BUILD_ROOT%{_appdatadir}/conf
ln -s %{_appstatedir}/webapps $RPM_BUILD_ROOT%{_appdatadir}/webapps
ln -s %{_appstatedir}/work $RPM_BUILD_ROOT%{_appdatadir}/work
ln -s %{_applogdir} $RPM_BUILD_ROOT%{_appdatadir}/log

install %{SOURCE1} $RPM_BUILD_ROOT%{_sbindir}/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/red5
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/red5
install %{SOURCE4} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 237 -r -f servlet
%groupadd -g 243 -r -f red5
%useradd -u 243 -r -d /var/lib/red5 -s /bin/false -c "red5 user" -g red5 -G servlet red5

%post
/sbin/chkconfig --add red5
%service red5 restart

%preun
if [ "$1" = "0" ]; then
	%service red5 stop
	/sbin/chkconfig --del red5
fi

%postun
if [ "$1" = "0" ]; then
	%userremove red5
	%groupremove servlet
fi

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%doc doc/licenseInfo/team.txt doc/*.* doc/templates
%{_appdatadir}
%dir %attr(775,red5,red5) %{_appstatedir}
%attr(775,red5,red5) %{_appstatedir}/work
%attr(775,red5,servlet) %{_appstatedir}/webapps
%attr(775,red5,red5) %{_applogdir}
%dir %{_appconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_appconfdir}/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(770,root,red5) /var/run/%{name}
/usr/lib/tmpfiles.d/%{name}.conf
%attr(755,root,root) %{_sbindir}/%{name}

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: red5.spec,v $
Revision 1.30  2012/01/31 11:54:52  baggins
- release 2

Revision 1.29  2012/01/31 11:32:08  baggins
- added tmpfiles config for systemd

Revision 1.28  2010/11/16 20:20:24  glen
- java-eclipse-jdt rename

Revision 1.27  2010/02/12 11:23:44  pawelz
- up to 0.9.0
- TODO: use more jar libraries from javadir instead of bundled ones

Revision 1.26  2009/12/14 13:34:03  pawelz
- dont't use tomcat bundled with red5. Use tomcat from our package.
- R: java-tomcat-{catalina,coyote,jasper} >= 6.0.20-7 (not released yet)
  because of tomcat-bug47316.patch

Revision 1.25  2009/12/11 18:14:57  pawelz
- Suggests: tomcat-native
- rel 2

Revision 1.24  2009/10/29 10:34:41  pawelz
- include java macros
- BR: rpm-javaprov
- rel 1

Revision 1.23  2009/10/29 10:24:33  pawelz
- adapterized
- %doc

Revision 1.22  2009/10/29 09:09:25  pawelz
- G: Networking/Daemons/Java
- symlink logdir do RED5_HOME
- less TODO

Revision 1.21  2009/10/28 17:39:29  pawelz
- symlink /etc/red5, /var/lib/red5/webapps and /var/lib/red5/work to RED5_HOME

Revision 1.20  2009/10/28 15:56:56  pawelz
- install boot.jar

Revision 1.19  2009/10/28 11:28:24  pawelz
- add shell wrapper to %files
- adapter

Revision 1.18  2009/10/28 11:26:06  pawelz
- %setup, be quiet!

Revision 1.17  2009/10/28 11:10:24  pawelz
- reverted SOURCE1 (shell wrapper)
- added init script and sysconfig entry
- install logdir and /var/run/red5
- red5 group
- NFY

Revision 1.16  2009/10/28 09:23:02  pawelz
- install files in correct locations
- dropped /usr/bin/red5
- NFY. TODO: tune configuration, initscript.

Revision 1.15  2009/10/27 18:25:25  pawelz
- rc-scripts related dependencies

Revision 1.14  2009/10/27 18:22:19  pawelz
- use red5 user and servlet group, run chkconfig

Revision 1.13  2009/10/27 18:15:27  pawelz
- up to 0.8.0
- use binary package. build scripts downloads a lot of libraries. It needs
  realy lot work, to make build process network-independent.
- NFY

Revision 1.12  2007/07/19 22:20:18  glen
- inspired from Makefile

Revision 1.11  2007/07/19 22:11:24  glen
- demos should be separated

Revision 1.10  2007/07/19 22:10:13  glen
- seems whole dist/ dir is usable standalone server

Revision 1.9  2007/07/19 21:39:33  glen
- 0.6.2

Revision 1.8  2007/06/11 15:52:02  qboosh
- cleanup

Revision 1.7  2007/06/05 14:25:12  glen
- update to 0.6.1

Revision 1.6  2007/06/05 14:21:41  glen
- package files
- add -javadoc

Revision 1.5  2007/04/16 17:11:00  qboosh
- partial pl polishing

Revision 1.4  2007/04/10 07:58:56  glen
- formatting

Revision 1.3  2007/04/10 06:50:49  spider
- pl (litle dirty translation)

Revision 1.2  2007/04/09 18:52:11  glen
- encoding fix

Revision 1.1  2007/04/09 18:51:08  glen
- new, builds, but i've never used tomcat so no packaging
